<ion-toolbar color="medium">
  <ion-title style="text-align: center;">Posts</ion-title>
  <ion-icon slot="end" style="color:#E4E2FF;" name="ellipsis-horizontal-outline"
  on-click="presentPopover()"></ion-icon>
</ion-toolbar>

<ion-content>

  <!--<ion-button (click)="toggleInfiniteScroll()" expand="block">
    Desactivar Infinite Scroll
  </ion-button>-->

  <ion-list>
    <ion-item >
      <ion-grid style="background-color: #E4E2FF;">
        <ion-row>
          <ion-col>

            <ion-card>
              <ion-grid>
                <ion-row>
                  <ion-col>
                  <ion-card-title>{{title}}</ion-card-title>
                  </ion-col>
                </ion-row>       
               
                <ion-row>
                  <ion-col size="11">
                  <ion-card-content>{{body}}</ion-card-content>
                  </ion-col>
                </ion-row>
             
              </ion-grid>
            </ion-card>

          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>
    <ion-item *ngFor="let title of titles; index as i">
     <ion-grid style="background-color: #E4E2FF;">
       <ion-row>
         <ion-col >
            
          <ion-card>
            <ion-grid>
              <ion-row>
                <ion-col>
                <ion-card-title>{{titles[i]}}</ion-card-title>
                </ion-col>
              </ion-row>       
             
              <ion-row>
                <ion-col size="11">
                <ion-card-content>{{bodys[i]}}</ion-card-content>
                </ion-col>
              </ion-row>
           
            </ion-grid>
          </ion-card>

         </ion-col>
       </ion-row>
      </ion-grid>
    </ion-item>
  </ion-list>

  <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content
      loadingSpinner="bubbles"
      loadingText="Loading more data...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>


</ion-content>


<ion-footer>
  <ion-toolbar color="medium">
    <ion-grid>
      <ion-row>
        <ion-col size="6.5" offset="5.5">
        <ion-button color="secondary" on-click="create()">
          <ion-label>Crear</ion-label>
          <ion-icon style="color:white" name="create-outline"></ion-icon>   
        </ion-button>
        </ion-col>
      </ion-row> 
    </ion-grid> 
  </ion-toolbar>
</ion-footer>
